Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.owltable
Class OWLTableTransferHandler

    java.lang.Object
      javax.swing.TransferHandler
          edu.stanford.smi.protegex.owl.ui.owltable.OWLTableTransferHandler

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConditionsTableTransferHandler, DefaultOWLTableTransferHandler

    public abstract class OWLTableTransferHandler

extends TransferHandler

A TransferHandler for transferring parsable OWL expressions with an OWLTable. Based on source code from Java Tutorial http://java.sun.com/docs/books/tutorial/uiswing/misc/example-1dot4/index.html#ExtendedDnDDemo

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`protected int[]` | `rows`

Fields inherited from class javax.swing.TransferHandler
`COPY, COPY_OR_MOVE, MOVE, NONE`

Constructor Summary
`OWLTableTransferHandler(OWLModel owlModel)`

Method Summary
`protected boolean` | `addRow(OWLTableModel tableModel, RDFSClass clone, int index)`
`boolean` | `canImport(JComponent c, DataFlavor[] flavors)`
`protected void` | `cleanup(JComponent c, boolean remove)`
`protected Transferable` | `createTransferable(JComponent c)`
`protected void` | `exportDone(JComponent c, Transferable data, int action)`
`protected Transferable` | `exportOWLClses(JComponent c)`
`protected OWLNamedClass` | `getRootCls()`
`int` | `getSourceActions(JComponent c)`
`boolean` | `importData(JComponent c, Transferable t)`
`protected int` | `importOWLClses(JComponent c, String clsesText)`

Methods inherited from class javax.swing.TransferHandler
`exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getPasteAction, getVisualRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rows

    protected int[] rows

Constructor Detail

### OWLTableTransferHandler

    public OWLTableTransferHandler(OWLModel owlModel)

Method Detail

### addRow

    protected boolean addRow(OWLTableModel tableModel,
                             RDFSClass clone,
                             int index)

### canImport

    public boolean canImport(JComponent c,
                             DataFlavor[] flavors)

  Overrides:
    `canImport` in class `TransferHandler`

### cleanup

    protected void cleanup(JComponent c,
                           boolean remove)

### createTransferable

    protected Transferable createTransferable(JComponent c)

  Overrides:
    `createTransferable` in class `TransferHandler`

### exportDone

    protected void exportDone(JComponent c,
                              Transferable data,
                              int action)

  Overrides:
    `exportDone` in class `TransferHandler`

### exportOWLClses

    protected Transferable exportOWLClses(JComponent c)

### getSourceActions

    public int getSourceActions(JComponent c)

  Overrides:
    `getSourceActions` in class `TransferHandler`

### getRootCls

    protected OWLNamedClass getRootCls()

### importOWLClses

    protected int importOWLClses(JComponent c,
                                 String clsesText)

### importData

    public boolean importData(JComponent c,
                              Transferable t)

  Overrides:
    `importData` in class `TransferHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.